<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="=UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>CST-120 Syllabus</title>
</head>


<body>
    <h1 align="center">CST-120 Web Development Syllabus</h1>
    <p align="center"><img src="https://download.logo.wine/logo/Grand_Canyon_University/Grand_Canyon_University-Logo.wine.png" alt="gcu logo" width="200"; height="100"></p>
    <h2><font face = "Times New Roman" color = "black" size = "5">Course Description</font></h2>
    
    <p>
        This course introduces the fundamental concepts and syntax of the web
        development language including HTML, CSS, and JavaScript. The course
        focuses on foundation required to build complex dynamic web applications.
        Prerequisite: none.
    </p>
    <h2>Credits</h2>
    <p>4</p>
    <h2>Required Course Materials</h2>
    <h3>Textbook</h3>
    <p>
        There is no textbook for this class. Weekly readings are from the W3
        Schools we site.
    </p>
    <h3>Microsoft Video Studio Code</h3>
    <p>
        Install this tool per the Activity 1 Guide and per the instructions as
        specified by your instructor
    </p>
    <h3>Bootstrap Studio</h3>
    <p>
        This course requires the use of Bootstrap Studio.<br /><br />
        Access the Bootstrap Studio website. Then, Scroll down to the bottom of
        the Home Page to the FAQ link. Click on The FAQ link. Scroll to the bottom
        of the FAQ where the question is asked if there "Is a a student license."
        Click on the Apply link.<br /><br />
        Fill out the Application for the Student License form and submit the
        request.<br />
        Be sure to install as Specified by your instructor.
    </p>
    <h2>Additional Materials</h2>
    <h3>Laptop</h3>
    <p>
        This course requires students to have a laptop. Students will use their
        laptops to complete the course assignments.Technical specifications can be
        found in the University Policy Handbook.
    </p>
    <h3>Activity Guide</h3>
    <p>
        Refer to this resource when completing the course CLC Milestone
        assignments.
        <hr>
    <p>TODO List</p>
    <ol>
        <li>Learn about HTML TABLES</li>
        <li>Learn about HTML Links</li>
    </ol>
    <li><a> href="page2.html">Topics and Objectives</a></li>
    </p>
</body>

</html>
<a hrf="index.html">Go Back to the main Page</a>





<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JavaScript History</title>
  <style>
    table {
      width: 50%;
      border-collapse: collapse;
      margin-top: 10px;
      color :blue;
    }

    th, td {
      border: 1px solid #ddd;
      padding: 5px;
      text-align: center;
      
    }

    th {
      background-color:pink;
    }
  </style>
</head>
<body>

  <h2>JavaScript ECMAScript History</h2>

  <table>
    <thead>
      <tr>
        <th>Year</th>
        
        <th></th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>1995</td>
        
        <td>JavaScript was invented by Brendan Eich</td>
      </tr>
      <tr>
        <td>1996</td>
        
        <td>Netscape 2 was released with JavaScript 1.0</td>
      </tr>
      <tr>
        <td>1997</td>
        
        <td>JavaScript became an ECMA standard (ECMA-262)</td>
      </tr>
      <tr>
        <td>1997</td>
        
        <td>ECMAScript 1 was released</td>
      </tr>
      <tr>
        <td>1997</td>
        
        <td>IE 4 was the first browser to support ES1</td>
      </tr>
      <tr>
        <td>1998</td>
       
        <td>ECMAScript 2 was released</td>
      </tr>
      <tr>
        <td>1998</td>
        
        <td>Netscape 42 was released with JavaScript 1.3</td>
      </tr>
      <tr>
        <td>1999</td>
        
        <td>IE 5 was the first browser to support ES2</td>
      </tr>
      <tr>
        <td>1999</td>
        
        <td>ECMAScript 3 was released</td>
      </tr>
      <tr>
        <td>2000</td>
        
        <td>IE 5.5 was the first browser to support ES3</td>
      </tr>
      <tr>
        <td>2000</td>
       
        <td>Netscape 62 was released with JavaScript 1.5</td>
      </tr>
      <tr>
        <td>2000</td>
       
        <td>Firefox 1 was released with JavaScript 1.5</td>
      </tr>
      <tr>
        <td>2008</td>
        
        <td>ECMAScript 4 was abandoned</td>
      </tr>
      <tr>
        <td>2009</td>
       
        <td>ECMAScript 5 was released</td>
      </tr>
      <tr>
        <td>2011</td>
       
        <td>IE 9 was the first browser to support ES5 *</td>
      </tr>
      <tr>
        <td>2011</td>
        
        <td>Firefox 4 was released with JavaScript 1.8.5</td>
      </tr>
      <tr>
        <td>2012</td>
        
        <td>Full support for ES5 in Safari 6</td>
      </tr>
      <tr>
        <td>2012</td>
        
        <td>Full support for ES5 in IE 10</td>
      </tr>
      <tr>
        <td>2012</td>
        
        <td>Full support for ES5 in Chrome 23</td>
      </tr>
      <tr>
        <td>2013</td>
       
        <td>Full support for ES5 in Firefox 21</td>
      </tr>
      <tr>
        <td>2013</td>
        
        <td>Full support for ES5 in Opera 15</td>
      </tr>
      <tr>
        <td>2014</td>
        
        <td>Full support for ES5 in all browsers</td>
      </tr>
      <tr>
        <td>2015</td>
        
        <td>ECMAScript 6 was released</td>
      </tr>
      <tr>
        <td>2016</td>
        
        <td>Full support for ES6 in Chrome 51</td>
      </tr>
      <tr>
        <td>2016</td>
       
        <td>Full support for ES6 in Opera 38</td>
      </tr>
      <tr>
        <td>2016</td>
        
        <td>Full support for ES6 in Safari 10</td>
      </tr>
      <tr>
        <td>2017</td>
        
        <td>Full support for ES6 in Firefox 54</td>
      </tr>
      <tr>
        <td>2017</td>
        
        <td>Full support for ES6 in Edge 15</td>
      </tr>
      <tr>
        <td>2018</td>
        
        <td>Full support for ES6 in all browsers</td>
      </tr>
    </tbody>
  </table>

</body>
</html>
